# Class Piece

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a single piece, serving as a general-purpose entity within its containing system.

    public class Piece

Inheritance
  object
  Piece

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Color

    public string? Color { get; set; }

#### Property Value

string

### Eq

    public object? Eq { get; set; }

#### Property Value

object

### Gt

    public double? Gt { get; set; }

#### Property Value

double?

### Gte

    public double? Gte { get; set; }

#### Property Value

double?

### LineType

    public DisplayConfigEnums.LineType LineType { get; set; }

#### Property Value

DisplayConfigEnums.LineType

### Lt

    public double? Lt { get; set; }

#### Property Value

double?

### Lte

    public double? Lte { get; set; }

#### Property Value

double?

### Neq

    public object? Neq { get; set; }

#### Property Value

object

### Opacity

    public double? Opacity { get; set; }

#### Property Value

double?

### Symbol

    public string? Symbol { get; set; }

#### Property Value

string

### SymbolSize

    public int? SymbolSize { get; set; }

#### Property Value

int?